#!/bin/csh

set called = ($_)
if ($called[2] != "") then
    set script_path = $called[2]
else
    set script_path = $0
endif

set REALPATH = `dirname $script_path | xargs -I {} readlink -f {}`
setenv PATH "$REALPATH/bin:$PATH"
if ( -f "$REALPATH/lib/@PROJECT_NAME@.modulemap" ) then
    if ($?CLING_MODULEMAP_FILES) then
        setenv CLING_MODULEMAP_FILES "$REALPATH/lib/@PROJECT_NAME@.modulemap:$CLING_MODULEMAP_FILES"
    else
        setenv CLING_MODULEMAP_FILES "$REALPATH/lib/@PROJECT_NAME@.modulemap"
    endif
endif

if ( `uname` == "Linux" ) then
    if ($?LD_LIBRARY_PATH) then
        setenv LD_LIBRARY_PATH "$REALPATH/lib:$LD_LIBRARY_PATH"
    else
        setenv LD_LIBRARY_PATH "$REALPATH/lib"
    endif
endif

if ( `uname` == "Darwin" ) then
    if ($?DYLD_LIBRARY_PATH) then
        setenv DYLD_LIBRARY_PATH "$REALPATH/lib:$DYLD_LIBRARY_PATH"
    else
        setenv DYLD_LIBRARY_PATH "$REALPATH/lib"
    endif
endif
